import { State } from "~/src/state";

enum Actions {
    GetAccounts = 'GET_ACCOUNTS',
    DownloadTransactions = 'DOWNLOAD_TRANSACTIONS'
}

type MessageSender = browser.runtime.MessageSender;

async function getAccounts(sender: MessageSender): Promise<any> {
    //TODO somehow ensure state exists.
    const message = {
        accounts: (await State.current).accounts
    };

    browser.tabs.sendMessage(sender.tab?.id!, message);
}

browser.runtime.onMessage.addListener((message, sender) => {
    switch (message.action) {
        case Actions.GetAccounts:
            getAccounts(sender);
    }
});

export { }
